import { OnChanges, ElementRef } from '@angular/core';
import { DataConsumerConfiguration, NameValue } from '../../../../../interfaces/WidgetInterfaces';
import { BaseWidget } from '../../../BaseWidget/BaseWidget.component';
import { DataPolicy } from '../../../../../interfaces/WidgetInterfaces';
import { DisplayStateService } from '../../../../../services/DisplayStateService';
import { AppStateService } from '../../../../../services/AppStateService';
import { WebPlatformApiService } from '../../../../../services/WebPlatformApiService';
import { ClientSettingsService } from '../../../../../services/ClientSettingsService';
export declare class DataConsumerConfigEditorComponent extends BaseWidget implements OnChanges {
    protected element: ElementRef;
    protected clientSettingsService: ClientSettingsService;
    protected displayStateService: DisplayStateService;
    protected appStateService: AppStateService;
    protected webPlatformApiService: WebPlatformApiService;
    DataConsumerConfig: DataConsumerConfiguration;
    dataPolicyNames: string[];
    dataPolicyList: DataPolicy[];
    showMiddleLayerFeatures: boolean;
    fixedDataIsInvalid: boolean;
    sortTypes: string[];
    filterOps: NameValue[];
    JsonData: string;
    FixedData: string;
    constructor(element: ElementRef, clientSettingsService: ClientSettingsService, displayStateService: DisplayStateService, appStateService: AppStateService, webPlatformApiService: WebPlatformApiService);
    ngOnChanges(): void;
    onInitialize(): void;
    ClearColumns(): void;
    initializeHeaders(): void;
    UpdateFixedData(): void;
    DeleteFilterConfigByIndex(idx: any): void;
    AddFilterConfig(): void;
    LoadJson(): void;
    UpdateFromJson(): void;
    onSelectedDataPolicyChange(dataPolicyName: string): void;
}
